> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View Virtual Account availabilities

> See your platform's account capabilities per account type and country

This endpoint allows you to check which account countries and currencies are available to your platform for Collection and User-Owned accounts (see [guide](/guides/payment-methods/banking/virtual-iban#types) for details).

### Responses

<AccordionGroup>
  <Accordion title="200" defaultOpen>
    <ResponseField name="Collection" type="array (object)">
      List of account capabilities for the account purpose and their availability for the platform.

      <Expandable>
        <ResponseField name="Country" type="string">
          **Returned values:** One of the supported countries in two-letter <a href="/api-reference/overview/data-formats">ISO 3166-1</a> format

          The country of the account purpose.
        </ResponseField>

        <ResponseField name="Available" type="boolean">
          Whether or not the account is available for the given country and purpose.
        </ResponseField>

        <ResponseField name="Currencies" type="array">
          **Returned values:** One or more currency codes in <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217</a> format (EUR, GBP, etc.)

          List of currencies supported by the account.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="UserOwned" type="array (object)">
      List of account capabilities for the account purpose and their availability for the platform.

      <Expandable>
        <ResponseField name="Country" type="string">
          **Returned values:** One of the supported countries in two-letter <a href="/api-reference/overview/data-formats">ISO 3166-1</a> format

          The country of the account purpose.
        </ResponseField>

        <ResponseField name="Available" type="boolean">
          Whether or not the account is available for the given country and purpose.
        </ResponseField>

        <ResponseField name="Currencies" type="array">
          **Returned values:** One or more currency codes in <a href="/api-reference/overview/data-formats" target="_blank">ISO 4217</a> format (EUR, GBP, etc.)

          List of currencies supported by the account.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Accordion>
</AccordionGroup>

<RequestExample>
  ```json REST theme={null}
  // GET has no body parameters
  ```

  ```php PHP  theme={null}
  <?php 

  require_once "../vendor/autoload.php";

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = "client-id";
  $api->Config->ClientPassword = "api-key";
  $api->Config->TemporaryFolder = "../tmp/";

  try {
      $response = $api->VirtualAccounts->GetAvailabilities();

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }
  ```

  ```javascript NodeJS theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk');
  const mangopay = new mangopayInstance({
      clientId: 'client-id',
      clientApiKey: 'api-key',
  })

  const viewClientAvailabilities = async () => {
      return await mangopay.VirtualAccounts.getAvailabilities()
      .then((response) => {
          console.info(response)
          return response
      }).catch((err) => {
          console.log(err);
          return false
      }); 
  }

  viewClientAvailabilities()
  ```

  ```ruby Ruby  theme={null}
  require 'mangopay'

  require 'PP'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'client-id'
      client.client_apiKey = 'api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def viewClientAvailabilities()
      begin
          response = MangoPay::VirtualAccount.fetch_availabilities
          puts response
          return response
      end
  end

  pp(viewClientAvailabilities())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
      "Collection": [
          {
              "Country": "GB",
              "Available": true,
              "Currencies": [
                  "GBP"
              ]
          },
          {
              "Country": "LU",
              "Available": true,
              "Currencies": [
                  "EUR"
              ]
          },
          {
              "Country": "FR",
              "Available": true,
              "Currencies": [
                  "EUR"
              ]
          },
          {
              "Country": "ES",
              "Available": true,
              "Currencies": [
                  "EUR"
              ]
          },
          {
              "Country": "DE",
              "Available": true,
              "Currencies": [
                  "EUR"
              ]
          },
          {
              "Country": "US",
              "Available": true,
              "Currencies": [
                  "USD"
              ]
          },
          {
              "Country": "CA",
              "Available": true,
              "Currencies": [
                  "CAD"
              ]
          },
          {
              "Country": "DK",
              "Available": true,
              "Currencies": [
                  "DKK"
              ]
          },
          {
              "Country": "PL",
              "Available": false,
              "Currencies": [
                  "PLN"
              ]
          },
          {
              "Country": "AU",
              "Available": false,
              "Currencies": [
                  "AUD"
              ]
          }
      ],
      "UserOwned": [
          {
              "Country": "GB",
              "Available": true,
              "Currencies": [
                  "GBP"
              ]
          },
          {
              "Country": "LU",
              "Available": true,
              "Currencies": [
                  "EUR"
              ]
          },
          {
              "Country": "FR",
              "Available": true,
              "Currencies": [
                  "EUR"
              ]
          },
          {
              "Country": "ES",
              "Available": true,
              "Currencies": [
                  "EUR"
              ]
          },
          {
              "Country": "DE",
              "Available": true,
              "Currencies": [
                  "EUR"
              ]
          },
          {
              "Country": "US",
              "Available": true,
              "Currencies": [
                  "USD"
              ]
          },
          {
              "Country": "CA",
              "Available": true,
              "Currencies": [
                  "CAD"
              ]
          },
          {
              "Country": "DK",
              "Available": true,
              "Currencies": [
                  "DKK"
              ]
          },
          {
              "Country": "PL",
              "Available": false,
              "Currencies": [
                  "PLN"
              ]
          },
          {
              "Country": "AU",
              "Available": false,
              "Currencies": [
                  "AUD"
              ]
          }
      ]
  }
  ```
</ResponseExample>
